Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.model
Interface TreeNode

All Superinterfaces:
  JSONObject

All Known Implementing Classes:
  TreeNodeImpl

    public interface TreeNode

extends JSONObject

The base interface for each node in the UI Tree

Author:
  asokolnikov

Field Summary
`static java.lang.String` | `ID`
`static java.lang.String` | `LABEL`
`static java.lang.String` | `TYPE`
`static java.lang.String` | `URI`

Method Summary
`java.util.List` | `getChildren()`
`JSONObject` | `getExtraProperty()` Extra property is a way for TreeDataProvider to attach its specific property or set of objects and properties to be available on client side.
`java.lang.String` | `getId()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getType()`
`java.lang.String` | `getUriString()`

Methods inherited from interface com.jaspersoft.jasperserver.war.model.JSONObject
`toJSONString`

Field Detail

### ID

    static final java.lang.String ID

See Also:
  Constant Field Values

### LABEL

    static final java.lang.String LABEL

See Also:
  Constant Field Values

### TYPE

    static final java.lang.String TYPE

See Also:
  Constant Field Values

### URI

    static final java.lang.String URI

See Also:
  Constant Field Values

Method Detail

### getId

    java.lang.String getId()

### getLabel

    java.lang.String getLabel()

### getType

    java.lang.String getType()

### getUriString

    java.lang.String getUriString()

### getExtraProperty

    JSONObject getExtraProperty()

  Extra property is a way for TreeDataProvider to attach its specific property or set of objects and properties to be available on client side. Each client side tree node will have it in its node.param.extra property

  Returns:

### getChildren

    java.util.List getChildren()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.